Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.view.appearance.swing
Class SwingCellAppearance

    java.lang.Object
      datechooser.view.appearance.CellRenderer
          datechooser.view.appearance.CellAppearance
              datechooser.view.appearance.swing.SwingCellAppearance

All Implemented Interfaces:
  CellAttributes, SwingCellAttributes, java.io.Serializable, java.lang.Cloneable

    public class SwingCellAppearance

extends CellAppearance
implements SwingCellAttributes

Swing cell appearance.
Swing - стиль ячеек.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  Serialized Form

Constructor Summary
`SwingCellAppearance(java.awt.Font font, java.awt.Color color, java.awt.Color cursorColor, boolean pressed, boolean enabled, Painter painter)`

Method Summary
`void` | `assign(CellAppearance newAppearance)` Assign one cell properties for another.
`java.lang.Object` | `clone()` Deep clone.
`boolean` | `equals(java.lang.Object obj)`
`java.awt.Composite` | `getComposite()` Get composite stile for graphical output.
`java.awt.Color` | `getCursorColor()` Cursor color.
`java.awt.Font` | `getFont()`
`Painter` | `getPainter()`
`protected CellRenderer` | `getRenderer()`
`java.awt.Color` | `getTextColor()`
`boolean` | `isEnabled()`
`boolean` | `isPressed()`
`void` | `setCursorColor(java.awt.Color cursorColor)` Set cursor color.
`void` | `setEnabled(boolean enabled)`
`void` | `setFont(java.awt.Font font)`
`void` | `setPressed(boolean pressed)`
`void` | `setTextColor(java.awt.Color textColor)`

Methods inherited from class datechooser.view.appearance.CellAppearance
`isSelectable, render, setSelectable`

Methods inherited from class datechooser.view.appearance.CellRenderer
`paintCursor, render`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwingCellAppearance

    public SwingCellAppearance(java.awt.Font font,
                               java.awt.Color color,
                               java.awt.Color cursorColor,
                               boolean pressed,
                               boolean enabled,
                               Painter painter)

Method Detail

### getPainter

    public Painter getPainter()

### getRenderer

    protected CellRenderer getRenderer()

  Specified by:
    `getRenderer` in class `CellAppearance`
  See Also:
    `CellRenderer`

### clone

    public java.lang.Object clone()

  Description copied from class: `CellAppearance`
  Deep clone.
  Глубокое клонирование.

  Specified by:
    `clone` in class `CellAppearance`

### assign

    public void assign(CellAppearance newAppearance)

  Description copied from interface: `CellAttributes`
  Assign one cell properties for another. Not used (reserved).
  Зарезервирована если захочется сделать единые настройки для всех полей

  Specified by:
    `assign` in interface `CellAttributes`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### isPressed

    public boolean isPressed()

### setPressed

    public void setPressed(boolean pressed)

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### getFont

    public java.awt.Font getFont()

  Specified by:
    `getFont` in interface `CellAttributes`

### getCursorColor

    public java.awt.Color getCursorColor()

  Description copied from class: `CellAppearance`
  Cursor color.
  Цвет курсора.

  Specified by:
    `getCursorColor` in class `CellAppearance`

### setCursorColor

    public void setCursorColor(java.awt.Color cursorColor)

  Description copied from class: `CellAppearance`
  Set cursor color.
  Установить цвет курсора.

  Specified by:
    `setCursorColor` in class `CellAppearance`

### getTextColor

    public java.awt.Color getTextColor()

  Specified by:
    `getTextColor` in interface `CellAttributes`

### setFont

    public void setFont(java.awt.Font font)

  Specified by:
    `setFont` in interface `CellAttributes`

### setTextColor

    public void setTextColor(java.awt.Color textColor)

  Specified by:
    `setTextColor` in interface `CellAttributes`

### getComposite

    public java.awt.Composite getComposite()

  Description copied from class: `CellAppearance`
  Get composite stile for graphical output.
  Возвращает стиль композиции при рисовании.

  Specified by:
    `getComposite` in class `CellAppearance`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD